--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: MD5_CHECK_FIELDS
  value: "[             :msgtype, :ordernumber, :amount, :currency, :time, :state,             :chstat, :chstatmsg, :qpstat, :qpstatmsg, :merchant, :merchantemail,             :transaction, :cardtype, :cardnumber, :testmode"
full_name: ActiveMerchant::Billing::Integrations::Quickpay::Notification
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: acknowledge
- !ruby/object:RI::MethodSummary 
  name: complete?
- !ruby/object:RI::MethodSummary 
  name: currency
- !ruby/object:RI::MethodSummary 
  name: generate_md5check
- !ruby/object:RI::MethodSummary 
  name: generate_md5string
- !ruby/object:RI::MethodSummary 
  name: gross
- !ruby/object:RI::MethodSummary 
  name: gross_cents
- !ruby/object:RI::MethodSummary 
  name: item_id
- !ruby/object:RI::MethodSummary 
  name: received_at
- !ruby/object:RI::MethodSummary 
  name: status
- !ruby/object:RI::MethodSummary 
  name: test?
- !ruby/object:RI::MethodSummary 
  name: transaction_id
name: Notification
superclass: ActiveMerchant::Billing::Integrations::Notification
